<?php
/**
 * @copyright Copyright (C) 2004-2007, All Rights Reserved, Helder Garcia, David Deutsch
 * @author Helder Garcia <helder.garcia@gmail.com>, David Deutsch <skore@skore.de> & Team AEC - http://www.gobalnerd.org
 * @copyright Copyright (C) 2007, All Rights Reserved, Mikko Rönkkö
 * @author Mikko Rönkkö mikko@mikkosoft.fi - http://www.mikkosoft.fi
* @license GNU/GPL v.2 http://www.gnu.org/copyleft/gpl.html
 */

// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License (GPL)
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// Please note that the GPL states that any headers in files and
// Copyright notices as well as credits in headers, source files
// and output (screens, prints, etc.) can not be removed.
// You can extend them with your own credits, though...
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

// no direct access
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

global $mosConfig_absolute_path;

class HTML_myCommon
{
	function addBackendCSS()
	{
		global $mainframe; ?>
		<link rel="stylesheet" type="text/css" media="all" href="<?php echo $mainframe->getCfg( 'live_site' ); ?>/administrator/components/com_cb_autohacks/backend_style.css" />
		<?php
	}
}



class HTML_cb_autohacks{

	function hacks ( $option, $hacks )
	{
		global $mosConfig_live_site;

		$infohandler	= new GeneralInfoRequester();
		$cmsname		= strtolower($infohandler->getCMSName());
		HTML_myCommon::addBackendCSS(); ?>

		<form action="index2.php" method="post" name="adminForm">
			<input type="hidden" name="option" value="<?php echo $option;?>" />
			<input type="hidden" name="task" value="" />
			<input type="hidden" name="returnTask" value="" />
			<input type="hidden" name="boxchecked" value="0" />
		</form>
		<table class="adminheading">
			<tr>
				<th width="100%" class="sectionname">
					Automated hacks for Community Builder
				</th>
			</tr>
			<tr>
				<td>
					<div style="width:100%; float:left;">
					<div class="usernote" style="width:350px; margin:5px;">
						<h2>Important notice</h2>
						<p>If you use hacks with several parts, you must commit all of the parts.</p>
					</div>
				</div></td>
			</tr>
		</table>
		<table class="adminform">
			<tr><td>
				<?php
				foreach ( $hacks as $handle => $content ) {
					if ( !$content['status'] ) {
						if ( isset($content['uncondition'] ) ) {
							if ( $hacks[$content['uncondition']]['status'] ) {
								continue ;
							}
						}
						if ( isset($content['condition'] ) ) {
							if ( !$hacks[$content['condition']]['status'] ) {
								continue ;
							}
						}
						if ( isset($content['legacy'] ) ) {
							continue;
						}
					} ?>
					<div class="userinfobox">
						<a name="<?php echo $handle; ?>"></a>
						<h3><?php echo $content['name']; ?></h3>
						<div class="action">
							<?php
							echo cb_autohackHTML::Icon( $content['status'] ? 'tick.png' : 'stop.png' )
							. ' ' . ( $content['status'] ? "Is hacked." : "Is not hacked" ) ; ?>
							&nbsp;|&nbsp;
							 <a href="<?php echo 'index2.php?option=com_cb_autohacks&amp;task=hacks&amp;filename=' . $handle . '&amp;undohack=' . $content['status'] ?>#<?php echo $handle; ?>"><?php echo $content['status'] ? "Undo" : "Commit" ; ?></a>
						</div>
						<?php
						if ( isset( $content['important'] ) && !$content['status'] ) { ?>
							<div class="important">&nbsp;</div>
							<?php
						} ?>
						<p style="width:60%; padding:3px;">
							<?php echo $content['desc']; ?>
						</p>
						<?php if ( isset( $content['filename'] ) ) { ?>
							<div class="explainblock">
								<p>
									<strong>File:&nbsp;<?php echo $content['filename']; ?></strong>
								</p>
							<?php
							if ( ( strcmp( $content['type'], 'file' ) === 0 ) && !$content['status'] ) {
								if ( !isset( $content['legacy'] ) ) { ?>
									<p>Hack loks for:</p>
									<pre><?php print htmlentities( $content['read'] ); ?></pre>
									<p>Replaces with:</p>
									<pre><?php print htmlentities( $content['insert'] ); ?></pre>
									<?php
								}
							} ?>
							</div>
							<?php
						} ?>
					</div>
					<?php
				} ?>
			</td></tr>
		</table>
		<?php
	}
}
?>