<?php
/**
 * @copyright Copyright (C) 2004-2007, All Rights Reserved, Helder Garcia, David Deutsch
 * @author Helder Garcia <helder.garcia@gmail.com>, David Deutsch <skore@skore.de> & Team AEC - http://www.gobalnerd.org
 * @copyright Copyright (C) 2007, All Rights Reserved, Mikko Rönkkö
 * @author Mikko Rönkkö mikko@mikkosoft.fi - http://www.mikkosoft.fi
* @license GNU/GPL v.2 http://www.gnu.org/copyleft/gpl.html
 */

// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License (GPL)
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// Please note that the GPL states that any headers in files and
// Copyright notices as well as credits in headers, source files
// and output (screens, prints, etc.) can not be removed.
// You can extend them with your own credits, though...
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

// no direct access
defined( '_VALID_MOS' ) or die( 'Restricted access' );

require_once( $mainframe->getPath( 'admin_html' ) );
require_once( $mainframe->getPath( 'class' ) );

switch( strtolower( $task ) ) {

    default:
		$undohack	= mosGetParam( $_REQUEST, 'undohack', 0 );
		$filename	= mosGetParam( $_REQUEST, 'filename', 0 );
		$check_hack	= $filename ? 0 : 1;

		hackcorefile( $option, $filename, $check_hack, $undohack );

		HTML_cb_autohacks::hacks( $option, hackcorefile( $option, 0, 1, 0 ) );
		break;

}


function hackcorefile( $option, $filename, $check_hack, $undohack )
{
	global $mosConfig_absolute_path, $database;
	global $mosConfig_debug;


	$cb_autohacks_hack_start				= 	"// CB AUTOHACK %s START" . "\n";
	$cb_autohacks_hack_end				= 	"// CB AUTOHACK %s END" . "\n";



	if ( GeneralInfoRequester::detect_component( 'CB' ) ) {
		
		$n = 'mambots';
		$hacks[$n]['name']			=	'Enable mambots';
		$hacks[$n]['desc']			=	'Enables mambots to be run in CB.';
		$hacks[$n]['type']			=	'file';
		$hacks[$n]['filename']		=	$mosConfig_absolute_path . '/administrator/components/com_comprofiler/comprofiler.class.php';
		$hacks[$n]['read']			=	'if($prefix != null && ($oReturn != null || $oReturn != \'\')) $oReturn = $prefix.$oReturn;';
		$hacks[$n]['insert']		=	sprintf('if($prefix != null && ($oReturn != null || $oReturn != \'\')) $oReturn = $prefix.$oReturn;'."\n".$cb_autohacks_hack_start.
										'global $_MAMBOTS;'."\n".
										'$_MAMBOTS->loadBotGroup( \'content\' );'."\n".
										'$tmp_row = new stdClass();'."\n".
										'$tmp_params = new mosParameters(\'\');'."\n".
										'$tmp_row->text = $oReturn;'."\n".
										'$_MAMBOTS->trigger( \'onPrepareContent\', array( &$tmp_row, &$tmp_params ), true );'."\n".
										'$oReturn = $tmp_row->text;'."\n".$cb_autohacks_hack_end,$n,$n);
		
		$n = 'userlistheaders1';
		$hacks[$n]['name']			=	'Disable search box';
		$hacks[$n]['desc']			=	'Disables drawing of the built in search box for userlists.';
		$hacks[$n]['type']			=	'file';
		$hacks[$n]['filename']		=	$mosConfig_absolute_path . '/components/com_comprofiler/comprofiler.html.php';
		$hacks[$n]['read']			=	'	  <table width="100%" cellpadding="4" cellspacing="0" border="0" align="center" class="contentpane">
		<tr>
			<td style="width:50%;">
              			<input type="text" name="search" class="inputbox" size="15" maxlength="100"<?php 
if (isset($search)) echo " value=\"".htmlspecialchars($search)."\""; ?> />
              			<input type="image" src="<?php echo $adminimagesdir; ?>search.gif" alt="<?php echo _UE_SEARCH; ?>" align="top" style="border: 0px;" />
			</td>
			<td style="width:50%;text-align:right;">
				<?php echo $lists[\'plists\']; ?>
			</td>
		</tr>
	  </table>';
		$hacks[$n]['insert']		=	'';
		
		$n = 'userlistheaders2';
		$hacks[$n]['name']			=	'Disable list all';
		$hacks[$n]['desc']			=	'Disables drawing of the list all link for userlists.';
		$hacks[$n]['type']			=	'file';
		$hacks[$n]['filename']		=	$mosConfig_absolute_path . '/components/com_comprofiler/comprofiler.html.php';
		$hacks[$n]['read']			=	'      <table width="100%" border="0" cellspacing="0" cellpadding="0">
        <tr>
    		<td><a href="<?php echo sefRelToAbs($ue_base_url); ?>" onclick="javascript:adminForm.search.value=\'\'"><?php echo _UE_LIST_ALL; ?></a></td>
    		<td align="right"></td>
        </tr>
      </table>';
		$hacks[$n]['insert']		=	'';

		

		$n = 'comprofilerphp1';
		$hacks[$n]['name']			=	'Explicit column references for userslist, part 1';
		$hacks[$n]['desc']			=	'Uses explicit column references instead of * for userlist SQL';
		$hacks[$n]['type']			=	'file';
		$hacks[$n]['filename']		=	$mosConfig_absolute_path . '/components/com_comprofiler/comprofiler.php';
		$hacks[$n]['read']			=	'	$queryFrom = "FROM #__users u, #__comprofiler ue WHERE u.id = ue.id AND u.block = 0 AND ue.approved = 1".( !($isModerator) ? " AND ue.banned = 0" : "")." AND ue.confirmed = 1 AND u.gid IN (".$usergids.")";';
		$hacks[$n]['insert']		=	'	$tableReferences=array(\'#__comprofiler\' => \'ue\',\'#__users\' => \'u\');

	// Fetch all fields:
	
	$_CB_database->setQuery("SELECT * FROM #__comprofiler_fields WHERE published = 1");
	$allFields				=	$_CB_database->loadObjectList( \'fieldid\' );
	
	
	//Make columns array. This array will later be constructed from the tabs table:

	$columns=array();
	
	for ( $i = 1; $i < 50; ++$i ) {
		$enabledVar			=	"col".$i."enabled";

		if ( ! isset( $row->$enabledVar ) ) {
			break;
		}
		$titleVar			=	"col".$i."title";
		$fieldsVar			=	"col".$i."fields";
		$captionsVar		=	"col".$i."captions";

		if( $row->$enabledVar == 1 ){
			$col			=	new stdClass();
			$col->fields	=	( $row->$fieldsVar ? explode( \'|*|\', $row->$fieldsVar ) : array() );
			$col->title		=	$row->$titleVar;
			$col->captions	=	$row->$captionsVar;
			// $col->sort		=	1; //All columns can be sorted
			$columns[]=$col;
		}
	}

	$fieldsSQL= getFieldsSQL($columns,$allFields,&$tableReferences);

	$tablesSQL=array();
	$tablesWhereSQL=array();
	
	foreach($tableReferences as $table=>$name){
		$tablesSQL[]=$table." ".$name;
		if($name!=\'u\'){
			$tablesWhereSQL[]="u.`id` = " . $name . ".`id`";
		}
	}
	$queryFrom = "FROM " . implode(\', \',$tablesSQL) . " WHERE " . implode(\' AND \',$tablesWhereSQL) .
			" AND u.block = 0 AND ue.approved = 1".( !($isModerator) ? " AND ue.banned = 0" : "").
			" AND ue.confirmed = 1 AND u.gid IN (".$usergids.")";
';

		$n = 'comprofilerphp2';
		$hacks[$n]['name']			=	'Explicit column references for userslist, part 2';
		$hacks[$n]['desc']			=	'Uses explicit column references instead of * for userlist SQL';
		$hacks[$n]['type']			=	'file';
		$hacks[$n]['filename']		=	$mosConfig_absolute_path . '/components/com_comprofiler/comprofiler.php';
		$hacks[$n]['read']			=	'	$query = "SELECT *, \'\' AS \'NA\' " . $queryFrom . " " . $orderby . " LIMIT " . (int) $limitstart . ", " . (int) $limit;';
		$hacks[$n]['insert']		=	'	$query = "SELECT u.id, ue.banned, \'\' AS \'NA\' , ". $fieldsSQL . " " . $queryFrom . " " . $orderby . " LIMIT " . (int) $limitstart . ", " . (int) $limit;';
		
		$n = 'comprofilerphp3';
		$hacks[$n]['name']			=	'Explicit column references for userslist, part 3';
		$hacks[$n]['desc']			=	'Uses explicit column references instead of * for userlist SQL';
		$hacks[$n]['type']			=	'file';
		$hacks[$n]['filename']		=	$mosConfig_absolute_path . '/components/com_comprofiler/comprofiler.php';
		$hacks[$n]['read']			=	'	//Make columns array. This array will later be constructed from the tabs table:

	$columns=array();
	
	for ( $i = 1; $i < 50; ++$i ) {
		$enabledVar			=	"col".$i."enabled";

		if ( ! isset( $row->$enabledVar ) ) {
			break;
		}
		$titleVar			=	"col".$i."title";
		$fieldsVar			=	"col".$i."fields";
		$captionsVar		=	"col".$i."captions";

		if( $row->$enabledVar == 1 ){
			$col			=	new stdClass();
			$col->fields	=	( $row->$fieldsVar ? explode( \'|*|\', $row->$fieldsVar ) : array() );
			$col->title		=	$row->$titleVar;
			$col->captions	=	$row->$captionsVar;
			// $col->sort		=	1; //All columns can be sorted
			$columns[]=$col;
		}
	}

	// Fetch all fields:
	
	$_CB_database->setQuery("SELECT * FROM #__comprofiler_fields WHERE published = 1");
	$allFields				=	$_CB_database->loadObjectList( \'fieldid\' );
';
		$hacks[$n]['insert']		=	'';


		$n = 'comprofilerphp4';
		$hacks[$n]['name']			=	'Explicit column references for userslist, part 4';
		$hacks[$n]['desc']			=	'Uses explicit column references instead of * for userlist SQL';
		$hacks[$n]['type']			=	'file';
		$hacks[$n]['filename']		=	$mosConfig_absolute_path . '/components/com_comprofiler/comprofiler.php';
		$hacks[$n]['read']			=	'}

function userSave($option, $uid) {';
		$hacks[$n]['insert']		=	'}
/**
 * Creates the column references for the userlsit query
 *
 */
function getFieldsSQL($columns,$allFields,$tables){

	$colRefs=array();
	
	$newtableindex=0;
	
	foreach($columns as $column){
		foreach($column->fields as $fieldid){
			$field=$allFields[$fieldid];
			if(!array_key_exists($field->table,$tables)){
				$newtableindex++;
				$tables[$field->table] =  \'t\'.$newtableindex;
			}
			else if($field->name == \'avatar\'){
				$colRefs[] = \'ue.`avatarapproved`\';
			}
			
			$colRefs[] = $tables[$field->table] . \'.`\' . $field->name . \'`\';
		}
	}
	return implode(\', \',$colRefs);
}

function userSave($option, $uid) {';

		$n = 'comprofilerphp5';
		$hacks[$n]['name']			=	'Filter fields encoding bug, part 1';
		$hacks[$n]['desc']			=	'Fixes a bug with filterfields encoding affecting userlist plugins.';
		$hacks[$n]['type']			=	'file';
		$hacks[$n]['filename']		=	$mosConfig_absolute_path . '/components/com_comprofiler/comprofiler.php';
		$hacks[$n]['read']			=	'
	$_PLUGINS->loadPluginGroup( \'user\' );
	$plugSearchFieldsArray	=	$_PLUGINS->trigger( \'onStartUsersList\', array( &$listid, &$row, &$search, &$limitstart, &$limit, 1 ) );	// $uid = 1';
		$hacks[$n]['insert']		=	'
	$row->filterfields=utf8RawUrlDecode( substr( $row->filterfields, 1 ) );
	
	$_PLUGINS->loadPluginGroup( \'user\' );
	$plugSearchFieldsArray	=	$_PLUGINS->trigger( \'onStartUsersList\', array( &$listid, &$row, &$search, &$limitstart, &$limit, 1 ) );	// $uid = 1';

		$n = 'comprofilerphp6';
		$hacks[$n]['name']			=	'Filter fields encoding bug, part 2';
		$hacks[$n]['desc']			=	'Fixes a bug with filterfields encoding affecting userlist plugins.';
		$hacks[$n]['type']			=	'file';
		$hacks[$n]['filename']		=	$mosConfig_absolute_path . '/components/com_comprofiler/comprofiler.php';
		$hacks[$n]['read']			=	'		$filterby			=	" AND ". utf8RawUrlDecode( substr( $row->filterfields, 1 ) );
';
		$hacks[$n]['insert']		=	'		$filterby			=	" AND ".  $row->filterfields;
';

		$n = 'comprofilerphp7';
		$hacks[$n]['name']			=	'Plugin ID passing bug, part 1';
		$hacks[$n]['desc']			=	'Allows plugin backend to use joomla toolbar.';
		$hacks[$n]['type']			=	'file';
		$hacks[$n]['filename']		=	$mosConfig_absolute_path . '/administrator/components/com_comprofiler/admin.comprofiler.controller.php';
		$hacks[$n]['read']			=	'$uid = cbGetParam( $_REQUEST, \'uid\', array( 0 ) );
if (!is_array( $cid )) {';
		$hacks[$n]['insert']		=	'$uid = cbGetParam( $_REQUEST, \'uid\', array( 0 ) );
$pluginid =cbGetParam( $_REQUEST, \'pluginid\', null);
if (!is_array( $cid )) {';

		$n = 'comprofilerphp8';
		$hacks[$n]['name']			=	'Plugin ID passing bug, part 2';
		$hacks[$n]['desc']			=	'Allows plugin backend to use joomla toolbar.';
		$hacks[$n]['type']			=	'file';
		$hacks[$n]['filename']		=	$mosConfig_absolute_path . '/administrator/components/com_comprofiler/admin.comprofiler.controller.php';
		$hacks[$n]['read']			=	'		pluginMenu( $option, $cid[0] );
';
		$hacks[$n]['insert']		=	'		pluginMenu( $option, $pluginid);
';

		$n = 'comprofilerphp9';
		$hacks[$n]['name']			=	'Plugin ID passing bug, part 3';
		$hacks[$n]['desc']			=	'Allows plugin backend to use joomla toolbar.';
		$hacks[$n]['type']			=	'file';
		$hacks[$n]['filename']		=	$mosConfig_absolute_path . '/administrator/components/com_comprofiler/admin.comprofiler.controller.php';
		$hacks[$n]['read']			=	'					$backendActionLink = \'index2.php?option=com_comprofiler&amp;task=pluginmenu&amp;cid=\' . $row->id
';
		$hacks[$n]['insert']		=	'					$backendActionLink = \'index2.php?option=com_comprofiler&amp;task=pluginmenu&amp;pluginid=\' . $row->id
';

										$n = 'comprofilertoolbarphp1';
		$hacks[$n]['name']			=	'Plugin backend toolbar, part 1';
		$hacks[$n]['desc']			=	'Allows plugin backend to use joomla toolbar. You also need to apply plugin ID passing bug fixes to use this feature.';
		$hacks[$n]['type']			=	'file';
		$hacks[$n]['filename']		=	$mosConfig_absolute_path . '/administrator/components/com_comprofiler/toolbar.comprofiler.php';
		$hacks[$n]['read']			=	'';
		$hacks[$n]['insert']		=	'	case \'pluginmenu\':
		global $database,$mosConfig_absolute_path;
		$database->setQuery("SELECT element, folder, type FROM #__comprofiler_plugin WHERE id=".(int)mosGetParam($_REQUEST,\'pluginid\',-1));
		$result=null;
		$database->loadObject($result);
		if($result!=null){
			if(file_exists("$mosConfig_absolute_path/components/com_comprofiler/plugin/$result->type/$result->folder/toolbar.$result->element.php")){
				include_once("$mosConfig_absolute_path/components/com_comprofiler/plugin/$result->type/$result->folder/toolbar.$result->element.php");
			}
		}
	break;';

								$n = 'comprofilertoolbarphp2';
		$hacks[$n]['name']			=	'Plugin backend toolbar, part 2';
		$hacks[$n]['desc']			=	'Allows plugin backend to use joomla toolbar. You also need to apply plugin ID passing bug fixes to use this feature.';
		$hacks[$n]['type']			=	'file';
		$hacks[$n]['filename']		=	$mosConfig_absolute_path . '/administrator/components/com_comprofiler/toolbar.comprofiler.php';
		$hacks[$n]['read']			=	'	case \'showPlugins\':
	case \'pluginmenu\':
		TOOLBAR_usersextras::_DEFAULT_PLUGIN();
		break;';
		$hacks[$n]['insert']		=	'	case \'showPlugins\':
		TOOLBAR_usersextras::_DEFAULT_PLUGIN();
		break;';

		
				$n = 'comprofilerphp10';
		$hacks[$n]['name']			=	'Field plugins, part 1';
		$hacks[$n]['desc']			=	'Allows field plugins for CB.';
		$hacks[$n]['type']			=	'file';
		$hacks[$n]['filename']		=	$mosConfig_absolute_path . '/administrator/components/com_comprofiler/comprofiler.class.php';
		$hacks[$n]['read']			=	'function getFieldValue( $oType, $oValue=null, $user=null, $prefix=null, $imgMode=0, $linkURL=null ) {
';
		$hacks[$n]['insert']		=	'function getFieldValue( $oType, $oValue=null, $user=null, $prefix=null, $imgMode=0, $linkURL=null, $field=null) {
';

		$n = 'comprofilerphp11';
		$hacks[$n]['name']			=	'Field plugins, part 2';
		$hacks[$n]['desc']			=	'Allows field plugins for CB.';
		$hacks[$n]['type']			=	'file';
		$hacks[$n]['filename']		=	$mosConfig_absolute_path . '/administrator/components/com_comprofiler/comprofiler.class.php';
		$hacks[$n]['read']			=	'		DEFAULT:
			$oReturn = htmlspecialchars($oValue);	//htmlspecialchars(str_replace("&quot;",\'"\',$oValue));	// corrects double-escapings of " in mysql_escape_string used in j! db.
		break;	
';
		$hacks[$n]['insert']		=	'		DEFAULT:

			if ($field!=null && $field->pluginid) {
				global $_PLUGINS;
	        	if($_PLUGINS->loadPluginGroup(\'user\',array($field->pluginid))) {
	        		$args=array($oValue , &$user,&$field);
	        		$oValue	=	$_PLUGINS->call($field->pluginid,\'getFieldValue\',$oType, $args);
	        	}
	        	else {
	        		$oValue=null;
	        	}
        	}


			$oReturn = htmlspecialchars($oValue);	//htmlspecialchars(str_replace("&quot;",\'"\',$oValue));	// corrects double-escapings of " in mysql_escape_string used in j! db.
		break;	
';
		
		
				$n = 'comprofilerphp12';
		$hacks[$n]['name']			=	'Field plugins, part 3';
		$hacks[$n]['desc']			=	'Allows field plugins for CB.';
		$hacks[$n]['type']			=	'file';
		$hacks[$n]['filename']		=	$mosConfig_absolute_path . '/administrator/components/com_comprofiler/comprofiler.class.php';
		$hacks[$n]['read']			=	'	function getFieldEntry($ui,&$calendars,$oType,$oName,$oDescription,$oTitle,$oValue,$oReq,$oLabel,$oID,$oSize, $oMaxLen, $oCols, $oRows,$oProfile, $rowFieldValues=null,$oReadOnly=0) {
';
		$hacks[$n]['insert']		=	'	function getFieldEntry($ui,&$calendars,$oType,$oName,$oDescription,$oTitle,$oValue,$oReq,$oLabel,$oID,$oSize, $oMaxLen, $oCols, $oRows,$oProfile, $rowFieldValues=null,$oReadOnly=0,$field=null) {
';

				$n = 'comprofilerphp13';
		$hacks[$n]['name']			=	'Field plugins, part 4';
		$hacks[$n]['desc']			=	'Allows field plugins for CB.';
		$hacks[$n]['type']			=	'file';
		$hacks[$n]['filename']		=	$mosConfig_absolute_path . '/administrator/components/com_comprofiler/comprofiler.class.php';
		$hacks[$n]['read']			=	'			CASE \'delimiter\':
				$oReturn = \'\';
		
		}';
		$hacks[$n]['insert']		=	'			CASE \'delimiter\':
				$oReturn = \'\';
			break;
			default:
				if ($field!=null && $field->pluginid) {
					global $_PLUGINS;
	        		if($_PLUGINS->loadPluginGroup(\'user\',array($field->pluginid))) {
	        			$args=array($oValue , &$user,&$field);
	        			$oReturn	=	$_PLUGINS->call($field->pluginid,\'getFieldEntry\',$oType, $args);
	        		}
	        		else {
	        			$oReturn = null;
	        		}
        		}

		}';

				$n = 'comprofilerphp14';
		$hacks[$n]['name']			=	'Field plugins, part 5';
		$hacks[$n]['desc']			=	'Allows field plugins for CB.';
		$hacks[$n]['type']			=	'file';
		$hacks[$n]['filename']		=	$mosConfig_absolute_path . '/administrator/components/com_comprofiler/comprofiler.class.php';
		$hacks[$n]['read']			=	'			$oValue = getFieldValue($oField->type, /* stripslashes */ ($fValue),$user);
';
		$hacks[$n]['insert']		=	'			$oValue = getFieldValue($oField->type, /* stripslashes */ ($fValue),$user,null,0,null,$oField);
';

						$n = 'comprofilerphp15';
		$hacks[$n]['name']			=	'Field plugins, part 6';
		$hacks[$n]['desc']			=	'Allows field plugins for CB.';
		$hacks[$n]['type']			=	'file';
		$hacks[$n]['filename']		=	$mosConfig_absolute_path . '/administrator/components/com_comprofiler/comprofiler.class.php';
		$hacks[$n]['read']			=	'					$results .= "\t\t\t<td colspan=\"".$colspan."\" class=\"fieldCell\">".getFieldEntry($this->ui,$this->calendars,$rowField->type,$rowField->name,$rowField->description,$rowField->title,$k,$adminReq,$rowField->title,$fieldIDValue,$rowField->size, $rowField->maxlength, $rowField->cols, $rowField->rows,$rowField->profile,$fieldValueList,$rowField->readonly)."</td>\n";
';
		$hacks[$n]['insert']		=	'					$results .= "\t\t\t<td colspan=\"".$colspan."\" class=\"fieldCell\">".getFieldEntry($this->ui,$this->calendars,$rowField->type,$rowField->name,$rowField->description,$rowField->title,$k,$adminReq,$rowField->title,$fieldIDValue,$rowField->size, $rowField->maxlength, $rowField->cols, $rowField->rows,$rowField->profile,$fieldValueList,$rowField->readonly,$rowField)."</td>\n";
';

						$n = 'comprofilerphp16';
		$hacks[$n]['name']			=	'Field plugins, part 7';
		$hacks[$n]['desc']			=	'Allows field plugins for CB.';
		$hacks[$n]['type']			=	'file';
		$hacks[$n]['filename']		=	$mosConfig_absolute_path . '/administrator/components/com_comprofiler/comprofiler.class.php';
		$hacks[$n]['read']			=	'	function prepareFieldDataSave( $fieldId, $fieldType, $fieldName, $value=null, $registration=0 ) {
';
		$hacks[$n]['insert']		=	'	function prepareFieldDataSave( $fieldId, $fieldType, $fieldName, $value=null, $registration=0,$field=null ) {
';

		$n = 'comprofilerphp17';
		$hacks[$n]['name']			=	'Field plugins, part 8';
		$hacks[$n]['desc']			=	'Allows field plugins for CB.';
		$hacks[$n]['type']			=	'file';
		$hacks[$n]['filename']		=	$mosConfig_absolute_path . '/administrator/components/com_comprofiler/comprofiler.class.php';
		$hacks[$n]['read']			=	'		DEFAULT:
			$value=cbGetUnEscaped($value);
		break;';
		$hacks[$n]['insert']		=	'		DEFAULT:
			if ($field!=null && $field->pluginid) {
				global $_PLUGINS;
	        	if($_PLUGINS->loadPluginGroup(\'user\',array($field->pluginid))) {
	        		$args=array($value , &$user, &$field);
	        		$value	=	$_PLUGINS->call($field->pluginid,\'prepareFieldDataSave\',$fieldType, $args);
	        	}
	        	else{
	        		$value=null;
	        	}
        	}

			$value=cbGetUnEscaped($value);
		break;';


						$n = 'comprofilerphp17';
		$hacks[$n]['name']			=	'Field plugins, part 9';
		$hacks[$n]['desc']			=	'Allows field plugins for CB.';
		$hacks[$n]['type']			=	'file';
		$hacks[$n]['filename']		=	$mosConfig_absolute_path . '/administrator/components/com_comprofiler/admin.comprofiler.controller.php';
		$hacks[$n]['read']			=	'		$rowExtras->$field = $cbFields->prepareFieldDataSave( $rowFields[$i]->fieldid, $rowFields[$i]->type, $rowFields[$i]->name, $value );
';
		$hacks[$n]['insert']		=	'		$rowExtras->$field = $cbFields->prepareFieldDataSave( $rowFields[$i]->fieldid, $rowFields[$i]->type, $rowFields[$i]->name, $value,0,$rowFields[$i] );
';

								$n = 'comprofilerphp18';
		$hacks[$n]['name']			=	'Field plugins, part 10';
		$hacks[$n]['desc']			=	'Allows field plugins for CB.';
		$hacks[$n]['type']			=	'file';
		$hacks[$n]['filename']		=	$mosConfig_absolute_path . '/administrator/components/com_comprofiler/plugin.class.php';
		$hacks[$n]['read']			=	'/**
* Tab Class for handling the CB tab api';
		$hacks[$n]['insert']		=	'/**
* Field Class for handling the CB field api
* @package Community Builder
* @author JoomlaJoe and Beat
*/
class cbFieldHandler extends cbPluginHandler  {

	/**
	* Constructor
	*/
	function cbTabHandler() {
		$this->cbPluginHandler();
	}

	/**
	 * Processes a field value from database for display.
	 */
	function getFieldValue($value,$user,$field){
		return $value;
	}
	/**
	 * Prepares field data for saving to database.
	 *
	 */
	function prepareFieldDataSave($value,$user,$field){
		return $value;
	}
	/**
	 * Shows the field in edit mode
	 *
	 */
	function getFieldEntry($value,$user,$field){
		return \'\';
	}
}
/**
* Tab Class for handling the CB tab api';


								$n = 'comprofilerphp19';
		$hacks[$n]['name']			=	'Field plugins, part 11';
		$hacks[$n]['desc']			=	'Allows field plugins for CB.';
		$hacks[$n]['type']			=	'file';
		$hacks[$n]['filename']		=	$mosConfig_absolute_path . '/components/com_comprofiler/comprofiler.html.php';
		$hacks[$n]['read']			=	'			$html[]		=	getFieldValue( $field->type, $user->$name, $user, $title, 0,
										   ( $field->type=="predefined" ? sefRelToAbs("index.php?option=com_comprofiler&amp;task=userProfile&amp;user=" . $user->id . $option_itemid ) : null ) );
';
		$hacks[$n]['insert']		=	'			$html[]		=	getFieldValue( $field->type, $user->$name, $user, $title, 0,
										   ( $field->type=="predefined" ? sefRelToAbs("index.php?option=com_comprofiler&amp;task=userProfile&amp;user=" . $user->id . $option_itemid ) : null ),$field );
';
		
		$n = 'comprofilerphp20';
		$hacks[$n]['name']			=	'Field plugins, part 12';
		$hacks[$n]['desc']			=	'Allows field plugins for CB.';
		$hacks[$n]['type']			=	'file';
		$hacks[$n]['filename']		=	$mosConfig_absolute_path . '/components/com_comprofiler/comprofiler.php';
		$hacks[$n]['read']			=	'			$user->$field = $cbFields->prepareFieldDataSave( $rowFields[$i]->fieldid, $rowFields[$i]->type, $rowFields[$i]->name, $value );
';
		$hacks[$n]['insert']		=	'			$user->$field = $cbFields->prepareFieldDataSave( $rowFields[$i]->fieldid, $rowFields[$i]->type, $rowFields[$i]->name, $value,0,$rowFields[$i] );
';
		
		$n = 'comprofilerphp21';
		$hacks[$n]['name']			=	'Field plugins, part 13';
		$hacks[$n]['desc']			=	'Allows field plugins for CB.';
		$hacks[$n]['type']			=	'file';
		$hacks[$n]['filename']		=	$mosConfig_absolute_path . '/components/com_comprofiler/comprofiler.php';
		$hacks[$n]['read']			=	'			$rowExtras->$field = $cbFields->prepareFieldDataSave( $rowFields[$i]->fieldid, $rowFields[$i]->type, $rowFields[$i]->name, $value );
';
		$hacks[$n]['insert']		=	'			$rowExtras->$field = $cbFields->prepareFieldDataSave( $rowFields[$i]->fieldid, $rowFields[$i]->type, $rowFields[$i]->name, $value, 0 ,$rowFields[$i] );
';
		
		
		$n = 'comprofilerphp22';
		$hacks[$n]['name']			=	'Field plugins, part 14';
		$hacks[$n]['desc']			=	'Allows field plugins for CB.';
		$hacks[$n]['type']			=	'file';
		$hacks[$n]['filename']		=	$mosConfig_absolute_path . '/components/com_comprofiler/comprofiler.php';
		$hacks[$n]['read']			=	'		$rowExtras->$field = $cbFields->prepareFieldDataSave( $rowFields[$i]->fieldid, $rowFields[$i]->type, $rowFields[$i]->name, $value );
';
		$hacks[$n]['insert']		=	'		$rowExtras->$field = $cbFields->prepareFieldDataSave( $rowFields[$i]->fieldid, $rowFields[$i]->type, $rowFields[$i]->name, $value,1,$rowFields[$i] );
';
		

	}

	// Receive the status for the hacks
	foreach ( $hacks as $name => $hack ) {

		// mic: initialize var and set to 0
		$hacks[$name]['status'] = 0;

		if ( $hack['type'] ) {
			switch( $hack['type'] ) {
				case 'file':
					// mic: fix if CMS is not Joomla or Mambo
					if ( $hack['filename'] != 'UNKNOWN' ) {
						$originalFileHandle = fopen( $hack['filename'], 'r' ) or die ( "Cannot open $originalFile<br>" );
						$oldData			= fread( $originalFileHandle, filesize($hack['filename'] ) );
						fclose( $originalFileHandle );

						if ( strpos( $oldData, 'CB AUTOHACK START' ) || strpos( $oldData, 'CB AUTOHACK CHANGE START' )) {
							$hacks[$name]['status'] = 'legacy';
						} else {
							if ( ( strpos( $oldData, 'CB AUTOHACK ' . $name . ' START' ) > 0 ) || ( strpos( $oldData, 'CB AUTOHACK CHANGE ' . $name . ' START' ) > 0 )) {
								$hacks[$name]['status'] = 1;
							}
						}

						if ( function_exists( 'posix_getpwuid' ) ) {
							$hacks[$name]['fileinfo'] = posix_getpwuid( fileowner( $hack['filename'] ) );
						}
					}
					break;

			}
		}
	}

	// Commit the hacks
	if ( !$check_hack ) {

		switch( $hacks[$filename]['type'] ) {
			case 'file':
				// mic: fix if CMS is not Joomla or Mambo
				if ( $hack['filename'] != 'UNKNOWN' ) {
					$originalFileHandle = fopen( $hacks[$filename]['filename'], 'r' ) or die ("Cannot open $originalFile<br>");
					// Transfer File into variable $oldData
					$oldData = fread( $originalFileHandle, filesize( $hacks[$filename]['filename'] ) );
					fclose( $originalFileHandle );

					if ( !$undohack ) { // hack
						$newData			= str_replace( $hacks[$filename]['read'], $hacks[$filename]['insert'], $oldData );
						
						if($mosConfig_debug)
							echo "<p>Matching done</p>";
						if($newData==$oldData){
							echo "<p>Error: unable to find match</p>";
						}
					    //make a backup
					    if ( !backupFile( $hacks[$filename]['filename'], $hacks[$filename]['filename'] . '.cb_autohacks-backup' ) ) {
							// Echo error message
					    }

					} else { // undo hack
						if ( strcmp( $hacks[$filename]['status'], 'legacy' ) === 0 ) {
							$newData = preg_replace( '/\/\/.CB AUTOHACK.START\\n.*\/\/.CB AUTOHACK .END\\n/s', $hacks[$filename]['read'], $oldData );
						} else {
							if ( strpos( $oldData, $hacks[$filename]['insert'] ) ) {
								$newData = str_replace( $hacks[$filename]['insert'], $hacks[$filename]['read'], $oldData );
							} else {
								$newData = preg_replace( '/\/\/.CB AUTOHACK.' . $filename . '.START\\n.*\/\/.CB AUTOHACK.' . $filename . '.END\\n/s', $hacks[$filename]['read'], $oldData );
							}
						}
					}

				    $oldperms = fileperms( $hacks[$filename]['filename'] );
				    @chmod( $hacks[$filename]['filename'], $oldperms | 0222 );

				    if ( $fp = fopen( $hacks[$filename]['filename'], 'wb' ) ) {
				        fwrite( $fp, $newData, strlen( $newData ) );
				        fclose( $fp );
				        @chmod( $hacks[$filename]['filename'], $oldperms );
				    }
				}
				break;

		}
	}

	return $hacks;
}

function backupFile( $file, $file_new )
{
    if ( !copy( $file, $file_new ) ) {
        return false;
    }
    return true;
}
?>